VRPlatformVRPlatform
General ledger

/general-ledger/opening-balances/accounts-payable

Update opening balance accounts payable by party. Replaces the accounts payable opening balance postings for the given party as of the go-live date and returns the recalculated summary. Supports dryRun. See https://docs.vrplatform.app/guides/integrate/opening-trial-balance.

PUT
/general-ledger/opening-balances/accounts-payable
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

dryRun?boolean

Validate this request through the real write path, then roll back all changes. See https://docs.vrplatform.app/api/dry-run-mode.

Request Body

application/json

party*string
Value in"owners" | "manager"
amount*integer

Value in cents (100 = 1€)

Range-9007199254740991 <= value <= 9007199254740991
currency?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.vrplatform.app/general-ledger/opening-balances/accounts-payable" \  -H "Content-Type: application/json" \  -d '{    "party": "owners",    "amount": -9007199254740991  }'
{
  "amount": -9007199254740991,
  "currency": "string",
  "updatedAt": "2024-01-15T12:30:00.000+00:00",
  "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc"
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}